"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var flash_list_1 = require("@shopify/flash-list");
var react_1 = __importDefault(require("react"));
var api_1 = require("@/api");
var card_1 = require("@/components/card");
var ui_1 = require("@/components/ui");
function Feed() {
    var _a = (0, api_1.usePosts)(), data = _a.data, isPending = _a.isPending, isError = _a.isError;
    var renderItem = react_1.default.useCallback(function (_a) {
        var item = _a.item;
        return <card_1.Card {...item}/>;
    }, []);
    if (isError) {
        return (<ui_1.View>
        <ui_1.Text> Error Loading data </ui_1.Text>
      </ui_1.View>);
    }
    return (<ui_1.View className="flex-1 ">
      <ui_1.FocusAwareStatusBar />
      <flash_list_1.FlashList data={data} renderItem={renderItem} keyExtractor={function (_, index) { return "item-".concat(index); }} ListEmptyComponent={<ui_1.EmptyList isLoading={isPending}/>} estimatedItemSize={300}/>
    </ui_1.View>);
}
exports.default = Feed;
//# sourceMappingURL=index.js.map