"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var expo_router_1 = require("expo-router");
var react_1 = __importDefault(require("react"));
var login_form_1 = require("@/components/login-form");
var ui_1 = require("@/components/ui");
var lib_1 = require("@/lib");
function Login() {
    var router = (0, expo_router_1.useRouter)();
    var signIn = lib_1.useAuth.use.signIn();
    var onSubmit = function (data) {
        console.log(data);
        signIn({ access: 'access-token', refresh: 'refresh-token' });
        router.push('/');
    };
    return (<>
      <ui_1.FocusAwareStatusBar />
      <login_form_1.LoginForm onSubmit={onSubmit}/>
    </>);
}
exports.default = Login;
//# sourceMappingURL=login.js.map