"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Card = void 0;
var expo_router_1 = require("expo-router");
var react_1 = __importDefault(require("react"));
var ui_1 = require("@/components/ui");
var images = [
    'https://images.unsplash.com/photo-1489749798305-4fea3ae63d43?auto=format&fit=crop&w=800&q=80',
    'https://images.unsplash.com/photo-1564507004663-b6dfb3c824d5?auto=format&fit=crop&w=800&q=80',
    'https://images.unsplash.com/photo-1515386474292-47555758ef2e?auto=format&fit=crop&w=800&q=80',
    'https://plus.unsplash.com/premium_photo-1666815503002-5f07a44ac8fb?auto=format&fit=crop&w=800&q=80',
    'https://images.unsplash.com/photo-1587974928442-77dc3e0dba72?auto=format&fit=crop&w=800&q=80',
];
var Card = function (_a) {
    var title = _a.title, body = _a.body, id = _a.id;
    return (<expo_router_1.Link href={"/feed/".concat(id)} asChild>
      <ui_1.Pressable>
        <ui_1.View className="m-2 overflow-hidden rounded-xl  border border-neutral-300 bg-white  dark:bg-neutral-900">
          <ui_1.Image className="h-56 w-full overflow-hidden rounded-t-xl" contentFit="cover" source={{
            uri: images[Math.floor(Math.random() * images.length)],
        }}/>

          <ui_1.View className="p-2">
            <ui_1.Text className="py-3 text-2xl ">{title}</ui_1.Text>
            <ui_1.Text numberOfLines={3} className="leading-snug text-gray-600">
              {body}
            </ui_1.Text>
          </ui_1.View>
        </ui_1.View>
      </ui_1.Pressable>
    </expo_router_1.Link>);
};
exports.Card = Card;
//# sourceMappingURL=card.js.map