import * as React from 'react';
import type { Control, FieldValues, Path, RegisterOptions } from 'react-hook-form';
import type { TextInputProps } from 'react-native';
import { TextInput as NTextInput } from 'react-native';
export interface NInputProps extends TextInputProps {
    label?: string;
    disabled?: boolean;
    error?: string;
}
type TRule<T extends FieldValues> = Omit<RegisterOptions<T>, 'disabled' | 'valueAsNumber' | 'valueAsDate' | 'setValueAs'> | undefined;
export type RuleType<T extends FieldValues> = {
    [name in keyof T]: TRule<T>;
};
export type InputControllerType<T extends FieldValues> = {
    name: Path<T>;
    control: Control<T>;
    rules?: RuleType<T>;
};
interface ControlledInputProps<T extends FieldValues> extends NInputProps, InputControllerType<T> {
}
export declare const Input: React.ForwardRefExoticComponent<NInputProps & React.RefAttributes<NTextInput>>;
export declare function ControlledInput<T extends FieldValues>(props: ControlledInputProps<T>): React.JSX.Element;
export {};
//# sourceMappingURL=input.d.ts.map