/// <reference types="react" />
/**
 * This component is used to handle the keyboard in a modal.
 * It is a wrapper around the `KeyboardAwareScrollView` component from `react-native-keyboard-controller`.
 * It is used to handle the keyboard in a modal.
 * example usage:
      export function Example() {
        return (
          <Modal>
            <BottomSheetKeyboardAwareScrollView>
            </BottomSheetKeyboardAwareScrollView>
          </Modal>
        );
        }
 */
import { type BottomSheetScrollViewMethods } from '@gorhom/bottom-sheet';
import { type BottomSheetScrollViewProps } from '@gorhom/bottom-sheet/src/components/bottomSheetScrollable/types';
import { type KeyboardAwareScrollViewProps } from 'react-native-keyboard-controller';
declare const BottomSheetKeyboardAwareScrollView: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<Omit<BottomSheetScrollViewProps, "ref"> & import("react").RefAttributes<BottomSheetScrollViewMethods>>>;
declare const _default: (props: BottomSheetScrollViewProps & KeyboardAwareScrollViewProps) => ReturnType<typeof BottomSheetKeyboardAwareScrollView>;
export default _default;
//# sourceMappingURL=modal-keyboard-aware-scroll-view.d.ts.map