import * as React from 'react';
import { ViewStyle } from 'react-native';
interface IconProps {
    icon: React.ReactNode;
    gap?: string | number;
}
interface BorderInterface {
    borderWidth: string;
    borderColor: string;
}
type ButtonVariant = 'primary' | 'primaryLow' | 'secondary' | 'secondaryLow' | 'outlined' | 'danger' | 'dangerLow';
interface ButtonProps {
    variant?: ButtonVariant;
    text?: string;
    textColor?: string;
    backgroundColor?: string;
    width?: string;
    height?: string;
    shape?: 'pill' | 'round';
    radius?: string;
    loading?: boolean;
    disabled?: boolean;
    border?: BorderInterface;
    leftIcon?: IconProps;
    rightIcon?: IconProps;
    className?: string;
    style?: ViewStyle;
    onPress?: () => void;
}
export default function Button({ variant, loading, text, textColor, backgroundColor, width, height, shape, radius, disabled, border, onPress, leftIcon, rightIcon, className, style, }: ButtonProps): React.JSX.Element;
export {};
//# sourceMappingURL=button.d.ts.map