"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_native_svg_1 = __importStar(require("react-native-svg"));
var style_utils_1 = require("../style-utils");
var react_native_1 = require("react-native");
var SIZE_MAP = {
    '2xsmall': 12,
    xsmall: 16,
    small: 20,
    medium: 24,
    large: 32,
    xlarge: 40,
};
var ROTATION_MAP = {
    1: 90,
    2: 180,
    3: 270,
    4: 360,
};
var CustomIndicator = function (_a) {
    var _b = _a.size, size = _b === void 0 ? '2xsmall' : _b, _c = _a.color, color = _c === void 0 ? '#10B981' : _c, _d = _a.state, state = _d === void 0 ? 1 : _d, props = __rest(_a, ["size", "color", "state"]);
    var dimension = SIZE_MAP[size];
    var rotation = ROTATION_MAP[state];
    var finalColor = (0, style_utils_1.getColor)(color);
    var spinAnimation = React.useRef(new react_native_1.Animated.Value(0)).current;
    React.useEffect(function () {
        spinAnimation.setValue(0);
        react_native_1.Animated.loop(react_native_1.Animated.timing(spinAnimation, {
            toValue: 1,
            duration: 1000,
            easing: react_native_1.Easing.linear,
            useNativeDriver: true,
        })).start();
    }, []);
    var spin = spinAnimation.interpolate({
        inputRange: [0, 1],
        outputRange: ["".concat(rotation, "deg"), "".concat(rotation + 360, "deg")],
    });
    var AnimatedSvg = react_native_1.Animated.createAnimatedComponent(react_native_svg_1.default);
    return (<AnimatedSvg width={dimension} height={dimension} viewBox="0 0 12 12" fill="none" style={{ transform: [{ rotate: spin }] }} {...props}>
      <react_native_svg_1.Path d="M6 11.55c0 .248.202.452.45.433A5.999 5.999 0 007.17.115 6 6 0 00.018 5.55.425.425 0 00.45 6a.483.483 0 00.47-.45 5.1 5.1 0 115.53 5.53.483.483 0 00-.45.47z" fill={finalColor}/>
    </AnimatedSvg>);
};
exports.default = CustomIndicator;
//# sourceMappingURL=custom-indicator.js.map