"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var style_utils_1 = require("./style-utils");
var small_dot_1 = require("./icons/small-dot");
var text_1 = __importDefault(require("./text"));
var Label = React.forwardRef(function (_a, ref) {
    var value = _a.value, placeholder = _a.placeholder, _b = _a.textColor, textColor = _b === void 0 ? '' : _b, _c = _a.placeholderColor, placeholderColor = _c === void 0 ? 'gray' : _c, textStyle = _a.textStyle, _d = _a.disabled, disabled = _d === void 0 ? false : _d, onChangeText = _a.onChangeText, onFocus = _a.onFocus, onBlur = _a.onBlur, _e = _a.className, className = _e === void 0 ? 'flex-1 px-4 pr-12 h-full' : _e, style = _a.style, secureTextEntry = _a.secureTextEntry, maxLength = _a.maxLength, _f = _a.keyboardType, keyboardType = _f === void 0 ? 'default' : _f, _g = _a.editable, editable = _g === void 0 ? true : _g, _h = _a.isLabelOnly, isLabelOnly = _h === void 0 ? false : _h, _j = _a.required, required = _j === void 0 ? false : _j, labelClassName = _a.labelClassName, _k = _a.charactorCount, charactorCount = _k === void 0 ? false : _k, _l = _a.maxCharactorCount, maxCharactorCount = _l === void 0 ? 0 : _l;
    if (isLabelOnly) {
        return (<react_native_1.View className={"flex-row"}>
          <react_native_1.View className="flex-row relative">
            {value && (<text_1.default face="body" size="small" weight="medium" className={labelClassName} textColor={textColor}>
                {value}
              </text_1.default>)}
            {required && (<react_native_1.View className="absolute -top-[2px] right-[-4px]">
                <small_dot_1.SmallDotIcon />
              </react_native_1.View>)}
          </react_native_1.View>
        </react_native_1.View>);
    }
    return (<>
        {charactorCount ? (<react_native_1.View className="flex-row justify-between">
            <react_native_1.TextInput ref={ref} value={value} textAlign={'left'} placeholder={placeholder} onChangeText={onChangeText} onFocus={onFocus} onBlur={onBlur} className={className} style={[
                {
                    color: (0, style_utils_1.getColor)(textColor),
                    paddingLeft: 0,
                },
                style,
                textStyle,
            ]} placeholderTextColor={(0, style_utils_1.getColor)(placeholderColor)} editable={!disabled && editable} secureTextEntry={secureTextEntry} maxLength={maxLength} keyboardType={keyboardType}/>
            <react_native_1.View className="flex-row gap-[2px]">
              {value && (<text_1.default face="body" size="xsmall" weight="regular" className={labelClassName} textColor={textColor}>
                  {value ? value.length : 0}
                </text_1.default>)}

              <text_1.default face="body" size="xsmall" weight="regular" className={labelClassName} textColor={'gray-500'}>
                {'/'}
              </text_1.default>

              {maxCharactorCount && (<text_1.default face="body" size="xsmall" weight="regular" className={labelClassName} textColor={'gray-500'}>
                  {maxCharactorCount}
                </text_1.default>)}
            </react_native_1.View>
          </react_native_1.View>) : (<react_native_1.TextInput ref={ref} value={value} placeholder={placeholder} onChangeText={onChangeText} onFocus={onFocus} onBlur={onBlur} className={className} style={[
                {
                    color: (0, style_utils_1.getColor)(textColor),
                },
                style,
                textStyle,
            ]} placeholderTextColor={(0, style_utils_1.getColor)(placeholderColor)} editable={!disabled && editable} secureTextEntry={secureTextEntry} maxLength={maxLength} keyboardType={keyboardType}/>)}
      </>);
});
exports.default = Label;
//# sourceMappingURL=label.js.map